PATCH /v1/organizations/{orgId}/wallets/{walletId}
Rename an organization wallet's user-facing label. The wallet's on-chain address and Turnkey identifiers are unchanged.
PATCH
/v1/organizations/{orgId}/wallets/{walletId}
Rename an organization wallet's user-facing label. The wallet's
on-chain address and Turnkey identifiers are unchanged.
Path Parameters
orgId
string
required
path
Organization ID
walletId
string
required
path
Wallet ID
Request Body required
Rename parameters
application/jsonOne of:
Option 1
Option 2
name
string
REQUIRED
Responses
200
OK
application/jsonaccountType
string
address
string
createdAt
string
deletedAt
string
deletedBy
string
id
string
isDefault
boolean
isImported
boolean
name
string
organizationId
string
providerConfig
object
providerType
string
providerWalletId
string
updatedAt
string
400
Bad Request
401
Unauthorized
404
Not Found
409
Conflict
500
Internal Server Error
curl -X PATCH 'https://api.example.com/v1/organizations/string/wallets/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/wallets/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.example.com/v1/organizations/string/wallets/string', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PATCH", "https://api.example.com/v1/organizations/string/wallets/string", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "accountType": "<string>", "address": "<string>", "createdAt": "<string>", "deletedAt": "<string>", "deletedBy": "<string>", "id": "<string>", "isDefault": true, "isImported": true, "name": "<string>", "organizationId": "<string>", "providerConfig": "<object>", "providerType": "<string>", "providerWalletId": "<string>", "updatedAt": "<string>"}
API Playground
Try this endpoint
PATCH
/v1/organizations/{orgId}/wallets/{walletId}
